<?php
namespace Modules\Cotacao\Modules\AnaliseCotacoes\Services;

use Doctrine\ORM\EntityManager;

class Sup04000ProdutoNaoCotadoService extends \Teknisa\GER\Controllers\TeknisaCrud {
    public function __constructor($crudService) {
        $this->crudService = $crudService;
    }
    
    public function getUnlistedProduct($row) {
        try {
          $params = array(
                array(
                    "columnName" => "P_CDFILIALSOLI",
                    "operator" => "=",
                    "value" => $row["CDFILSOLI"][0]
                ),
                array(
                    "columnName" => "P_CDFILIAL",
                    "operator" => "=",
                    "value" => $row["CDFILLANCA"][0]
                ),
                array(
                    "columnName" => "P_CDREGIAO",
                    "operator" => "=",
                    "value" => empty($row["CDREGIAO"]) ?  "T" : $row["CDREGIAO"][0]
                ),
                array(
                    "columnName" => "P_CDCOMPRADOR",
                    "operator" => "=",
                    "value" => empty($row["CDOPERADOR"]) ?  "T" : $row["CDOPERADOR"][0]
                ),
                array(
                    "columnName" => "P_DTINICIAL",
                    "operator" => "=",
                    "value" => $row["DT_ENTREGA"]["start"]
                ),
                array(
                    "columnName" => "P_DTFINAL",
                    "operator" => "=",
                    "value" => $row["DT_ENTREGA"]["end"]
                ),
                array(
                    "columnName" => "P_DTINICOT",
                    "operator" => "=",
                    "value" => $row["DT_VALIDADE"]["start"]
                ),
                array(
                    "columnName" => "P_DTFINCOT",
                    "operator" => "=",
                    "value" => $row["DT_VALIDADE"]["end"]
                ),
                array(
                    "columnName" => "P_CDARVPRODINI",
                    "operator" => "=",
                    "value" => $row["CDPRODINI"]
                ),
                array(
                    "columnName" => "P_CDARVPRODFIN",
                    "operator" => "=",
                    "value" => str_pad($row["CDPRODFIN"], 20, "z", STR_PAD_RIGHT)
                ),
            );
            
            return $this->crudService->getFilteredDataSet("getUnlistedProduct", $params)->getRows();
        } catch (\Exception $e) {
            throw $e;
        }
    }
}